#!/bin/sh
. `dirname $0`/../func.sh

init_dev
[ $? -ne 0 ] && exit 1

guess_param

echo 0 > /sys/class/graphics/fbcon/cursor_blink

echo "==============================================================="
echo "starting gstreamer with monochrome Source ..."
echo "read 648x486 (skip 4), and write to framebuffer 648x486"
echo "==============================================================="

echo ""
echo " configure camera with v4l2_control"
echo " =================================="

$V4L2_CTRL_CAM0
# ./../tools/cam_regs.sh -s subdev0 -r ./../$REG_SET_FILE
# Use the "cam_regs.sh" tool, only for special register settings, that are not available through v4l2_control.

echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 \
	v4l2src device=$CAM_DEVICE ! \
	video/x-raw,format=GRAY8,depth=8,width=648,height=486 ! \
	videoconvert ! \
	fbdevsink sync=false

echo 1 > /sys/class/graphics/fbcon/cursor_blink